Author sbt
Recipients fmitha, sbt, slinkp
Date 2013-05-02.15:48:11
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1367509692.05.0.258880926186.issue13831@psf.upfronthosting.co.za>
In-reply-to
Content
Attached is a patch for 3.4 which uses the __cause__ hack to embed the remote traceback in the local traceback.  It will not work for 2.x though.

>>> import multiprocessing, subprocess
>>> with multiprocessing.Pool() as p: p.apply(subprocess.Popen, (1,))
...
multiprocessing.pool.RemoteTraceback:
"""
Traceback (most recent call last):
  File "/home/oudkerk/Repos/py-default/Lib/multiprocessing/pool.py", line 114, in worker
    result = (True, func(*args, **kwds))
  File "/home/oudkerk/Repos/py-default/Lib/subprocess.py", line 838, in __init__
    restore_signals, start_new_session)
  File "/home/oudkerk/Repos/py-default/Lib/subprocess.py", line 1317, in _execute_child
    args = list(args)
TypeError: 'int' object is not iterable
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/oudkerk/Repos/py-default/Lib/multiprocessing/pool.py", line 245, in apply
    return self.apply_async(func, args, kwds).get()
  File "/home/oudkerk/Repos/py-default/Lib/multiprocessing/pool.py", line 588, in get
    raise self._value
TypeError: 'int' object is not iterable
History
Date User Action Args
2013-05-02 15:48:12sbtsetrecipients: + sbt, fmitha, slinkp
2013-05-02 15:48:12sbtsetmessageid: <1367509692.05.0.258880926186.issue13831@psf.upfronthosting.co.za>
2013-05-02 15:48:12sbtlinkissue13831 messages
2013-05-02 15:48:11sbtcreate